All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
viennacl::linalg::ilut_precond< viennacl::compressed_matrix< NumericT, AlignmentV > > Class Template Reference

ILUT preconditioner class, can be supplied to solve()-routines. More...

`#include <ilut.hpp>`

## Public Member Functions

| ilut_precond (MatrixType const &mat, ilut_tag const &tag)
void | apply (viennacl::vector< NumericT > &vec) const

## Detailed Description

### template<typename NumericT, unsigned int AlignmentV>
class viennacl::linalg::ilut_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >

ILUT preconditioner class, can be supplied to solve()-routines.

Specialization for compressed_matrix

Definition at line 410 of file ilut.hpp.

## Constructor & Destructor Documentation

template<typename NumericT , unsigned int AlignmentV>

viennacl::linalg::ilut_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >::ilut_precond | ( | MatrixType const & | mat,
|  | ilut_tag const & | tag
| ) |  |

inline

Definition at line 415 of file ilut.hpp.

## Member Function Documentation

template<typename NumericT , unsigned int AlignmentV>

void viennacl::linalg::ilut_precond< viennacl::compressed_matrix< NumericT, AlignmentV > >::apply | ( | viennacl::vector< NumericT > & | vec | ) | const

inline

Definition at line 426 of file ilut.hpp.

The documentation for this class was generated from the following file:

- viennacl/linalg/detail/ilu/ilut.hpp